#! /usr/bin/env node
'use strict';

(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(['minimist', './default-options', './index'], factory);
  } else if (typeof exports !== "undefined") {
    factory(require('minimist'), require('./default-options'), require('./index'));
  } else {
    var mod = {
      exports: {}
    };
    factory(global.minimist, global.defaultOptions, global.index);
    global.bin = mod.exports;
  }
})(this, function (_minimist, _defaultOptions, _index) {
  var _minimist2 = _interopRequireDefault(_minimist);

  var _index2 = _interopRequireDefault(_index);

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  var argv = (0, _minimist2.default)(process.argv.slice(2));

  if (argv.help) {
    process.stdout.write(_defaultOptions.helpText);
    process.exit(0);
  } else {
    (0, _index2.default)(argv);
  }
});
//# sourceMappingURL=bin.js.map