'use strict';

(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(['exports'], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports);
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports);
    global.defaultOptions = mod.exports;
  }
})(this, function (exports) {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  var defaultConfig = exports.defaultConfig = {
    entry: 'index.json.js',
    out: 'stdout',
    debug: false,
    spaces: 0
  };

  function createSpaces(leftText, rightText) {
    var leftSize = arguments.length <= 2 || arguments[2] === undefined ? 40 : arguments[2];
    var spacesNeeded = leftSize - leftText.length;
    var spaces = '';

    for (var i = 0; i < spacesNeeded; i++) {
      spaces += ' ';
    }

    return leftText + spaces + rightText;
  }

  var helpText = exports.helpText = '\n  Usage: jsonjs [options]\n  -----------------------\n  ' + createSpaces('--help', 'show help text') + '\n  ' + createSpaces('--entry=(' + defaultConfig.entry + ')', 'Source file') + '\n  ' + createSpaces('--out=(' + defaultConfig.out + ')', 'Output destination') + '\n  ' + createSpaces('--debug=(' + defaultConfig.debug + ')', 'Output debugging information') + '\n  ' + createSpaces('--spaces=(' + defaultConfig.spaces + ')', 'make JSON indented with this many spaces') + '\n';
});
//# sourceMappingURL=default-options.js.map