'use strict';

(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(['exports', './default-options', 'mkdirp', './lib/meta-path', 'fs'], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require('./default-options'), require('mkdirp'), require('./lib/meta-path'), require('fs'));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.defaultOptions, global.mkdirp, global.metaPath, global.fs);
    global.index = mod.exports;
  }
})(this, function (exports, _defaultOptions, _mkdirp, _metaPath, _fs) {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });

  var _mkdirp2 = _interopRequireDefault(_mkdirp);

  var _metaPath2 = _interopRequireDefault(_metaPath);

  var _fs2 = _interopRequireDefault(_fs);

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  function debugFactory() {
    var output = arguments.length <= 0 || arguments[0] === undefined ? false : arguments[0];
    return function () {
      var _console;

      for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
        args[_key] = arguments[_key];
      }

      if (output) (_console = console).log.apply(_console, ['DEBUG'].concat(args));
    };
  }

  exports.default = function () {
    var options = arguments.length <= 0 || arguments[0] === undefined ? {} : arguments[0];

    options = Object.assign(_defaultOptions.defaultConfig, options);
    var debug = debugFactory(options.debug);
    var entryMeta = (0, _metaPath2.default)(options.entry);
    debug('entry meta', entryMeta);
    var entryPoint = entryMeta.absolutePath;
    var outFileMeta = (0, _metaPath2.default)(options.out);
    debug('out meta', outFileMeta);
    var outFile = outFileMeta.absolutePath;
    debug('loading file: ', entryPoint);
    var entryJs = require(entryMeta.absolutePath);
    var json = entryJs.jsonExport || entryJs.default;
    debug('file loaded', entryJs);
    _mkdirp2.default.sync(outFileMeta.absoluteFolder);
    debug('writing file', outFile, json);
    var writePointer = _fs2.default.openSync(outFile, 'w');
    _fs2.default.writeSync(writePointer, JSON.stringify(json, null, options.spaces));
  };
});
//# sourceMappingURL=index.js.map