'use strict';

(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(['exports'], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports);
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports);
    global.metaPath = mod.exports;
  }
})(this, function (exports) {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.getAbsolutePath = getAbsolutePath;
  exports.default = metaPath;

  function deriveLeadingLast(path, dilemeter) {
    var piratePath = path.split(dilemeter);
    var last = piratePath.pop();
    var leading = piratePath.join(dilemeter);
    return {
      last: last,
      leading: leading
    };
  }

  function getAbsolutePath(src) {
    if (src.charAt(0) === '/') return src;
    return process.env.PWD + '/' + src;
  }

  function metaPath(fullPath) {
    var pathInfo = deriveLeadingLast(fullPath, '/');
    var path = pathInfo.leading;
    var fileName = pathInfo.last;
    var fileInfo = deriveLeadingLast(fileName, '.');
    var typelessName = fileInfo.leading;
    var type = fileInfo.last;
    var absolutePath = getAbsolutePath(fullPath);
    var absoluteFolder = absolutePath.replace(fileName, '');
    return {
      type: type,
      fileName: fileName,
      typelessName: typelessName,
      path: path,
      absolutePath: absolutePath,
      absoluteFolder: absoluteFolder
    };
  }
});
//# sourceMappingURL=meta-path.js.map